"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractUserFromJwt = void 0;
const verifyJWT_1 = require("./utilities/jwt/verifyJWT");
function extractUserFromJwt({ accessToken, jwks, ignoreExpiration, }) {
    console.log({ accessToken });
    const payload = (0, verifyJWT_1.verifyJWT)({
        token: accessToken,
        key: jwks[1],
        ignoreExpiration,
    });
    const user = {
        username: payload.username,
        groups: payload['cognito:groups'],
    };
    return user;
}
exports.extractUserFromJwt = extractUserFromJwt;
//# sourceMappingURL=checkJwt.js.map