"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.digestCacheHash = void 0;
const crypto_1 = __importDefault(require("crypto"));
function digestCacheHash(userPoolId, awsRegion) {
    const cacheString = JSON.stringify({ userPoolId, awsRegion });
    const cacheHash = crypto_1.default.createHash('sha256').update(cacheString).digest('base64');
    return cacheHash;
}
exports.digestCacheHash = digestCacheHash;
//# sourceMappingURL=digestCacheHash.js.map