import { JWK } from 'jwk-to-pem';
import { User } from './types/user';
export interface ExtractUserFromJwtParameters {
    accessToken: string;
    jwks: JWK[];
    ignoreExpiration: boolean;
}
export declare function extractUserFromJwt({ accessToken, jwks, ignoreExpiration, }: ExtractUserFromJwtParameters): User;
