"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchJwk = void 0;
async function fetchJwk({ userPoolId, awsRegion }, httpRequest) {
    console.log('Fetching JWKS From Cognito');
    const jwksUrl = `https://cognito-idp.${awsRegion}.amazonaws.com/${userPoolId}/.well-known/jwks.json`;
    const jwksResponse = await httpRequest({
        url: jwksUrl,
        method: 'GET',
        json: true,
    });
    return jwksResponse.keys;
}
exports.fetchJwk = fetchJwk;
//# sourceMappingURL=unencryptPayload.js.map