import jwkToPem from 'jwk-to-pem';
export interface JWTVerification {
    token: string;
    key: jwkToPem.JWK;
    ignoreExpiration?: boolean;
}
export declare function verifyJWT<TokenPayloadType>(verification: JWTVerification): TokenPayloadType;
